@model dynamic

@{
    ViewBag.Title = "Dashboard";
    Layout = "_Layout";
}

<link rel="stylesheet" type="text/css" href="~/css/dashboard.css">

<h1>Dashboard Admin</h1>

<div class="dashboard-container">
    <div class="dashboard-section">
        <h2>Users</h2>
        <a class="dashboard-link" asp-action="Overview" asp-controller="Admin">List Of Users</a>
        <a class="dashboard-link" asp-action="AddUser" asp-controller="Admin">Create New User</a>
    </div>

    <div class="dashboard-section">
        <h2>Platforms</h2>
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>
            </tr>
            </thead>
            <tbody>
            @foreach (var platform in Model)
            {
                <tr>
                    <td>@platform.Name</td>
                </tr>
            }
            </tbody>
        </table>
        <a class="dashboard-link" asp-action="CreatePlatform" asp-controller="DashboardAdmin">Create New Platform</a>
    </div>

    <div class="dashboard-section">
        <h2>Projects & Flows</h2>
        <a class="dashboard-link" asp-action="Add" asp-controller="Project">Create New Project</a>
        <a class="dashboard-link" asp-action="Index" asp-controller="Project">List Of Projects & Adding Flows</a>
    </div>
</div>